<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="0b6ab4a6-8e7f-41f2-8a33-85453ecf7d81" name="Default Changelist" comment="" />
    <ignored path="$PROJECT_DIR$/starter/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/starter/src/main/java/com/realdolmen/Address.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="399">
              <caret line="25" selection-start-line="25" selection-end-line="25" />
              <folding>
                <element signature="e#373#374#0" expanded="true" />
                <element signature="e#402#403#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/starter/src/main/java/com/realdolmen/City.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="42">
              <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/starter/src/test/java/com/realdolmen/mockData.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="126">
              <caret line="6" column="34" selection-start-line="6" selection-start-column="22" selection-end-line="6" selection-end-column="34" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/starter/src/test/java/com/realdolmen/PersonRepositoryTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="775">
              <caret line="206" column="30" selection-start-line="206" selection-start-column="30" selection-end-line="206" selection-end-column="30" />
              <folding>
                <element signature="method#emptyTest#0;class#PersonRepositoryTest#0" />
                <element signature="method#findWrongIdTooHigh#0;class#PersonRepositoryTest#0" />
                <element signature="method#findWrongIdNegative#0;class#PersonRepositoryTest#0" />
                <element signature="method#saveNormal#0;class#PersonRepositoryTest#0" />
                <element signature="method#saveDuplicate#0;class#PersonRepositoryTest#0" />
                <element signature="method#saveWrongInfoNegativeID#0;class#PersonRepositoryTest#0" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/starter/pom.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1575">
              <caret line="75" selection-start-line="75" selection-end-line="75" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/starter/pom.xml" />
        <option value="$PROJECT_DIR$/starter/src/test/java/com/realdolmen/mockData.xml" />
        <option value="$PROJECT_DIR$/starter/src/test/java/com/realdolmen/PersonRepositoryTest.java" />
        <option value="$PROJECT_DIR$/starter/src/main/java/com/realdolmen/JdbcPersonRepository.java" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand />
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="953" />
    <option name="width" value="974" />
    <option name="height" value="1047" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="PackagesPane" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="exercises" type="b2602c69:ProjectViewProjectNode" />
              <item name="exercises" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="exercises" type="b2602c69:ProjectViewProjectNode" />
              <item name="exercises" type="462c0819:PsiDirectoryNode" />
              <item name="starter" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="exercises" type="b2602c69:ProjectViewProjectNode" />
              <item name="exercises" type="462c0819:PsiDirectoryNode" />
              <item name="starter" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="exercises" type="b2602c69:ProjectViewProjectNode" />
              <item name="exercises" type="462c0819:PsiDirectoryNode" />
              <item name="starter" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="exercises" type="b2602c69:ProjectViewProjectNode" />
              <item name="exercises" type="462c0819:PsiDirectoryNode" />
              <item name="starter" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="exercises" type="b2602c69:ProjectViewProjectNode" />
              <item name="exercises" type="462c0819:PsiDirectoryNode" />
              <item name="starter" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="realdolmen" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="exercises" type="b2602c69:ProjectViewProjectNode" />
              <item name="exercises" type="462c0819:PsiDirectoryNode" />
              <item name="starter" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="exercises" type="b2602c69:ProjectViewProjectNode" />
              <item name="exercises" type="462c0819:PsiDirectoryNode" />
              <item name="starter" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="exercises" type="b2602c69:ProjectViewProjectNode" />
              <item name="exercises" type="462c0819:PsiDirectoryNode" />
              <item name="starter" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="test" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="realdolmen" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="C:\Users\JBLBL75\Documents\HBO5\15 - Programmeren 2\exercises\starter\src\test\java\com\realdolmen" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JUnit.PersonRepositoryTest.saveCorrectData">
    <configuration name="PersonRepositoryTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="unt010" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.realdolmen.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.realdolmen" />
      <option name="MAIN_CLASS_NAME" value="com.realdolmen.PersonRepositoryTest" />
      <option name="TEST_OBJECT" value="class" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="PersonRepositoryTest.findNormalFieldsEqual" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="unt010" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.realdolmen.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.realdolmen" />
      <option name="MAIN_CLASS_NAME" value="com.realdolmen.PersonRepositoryTest" />
      <option name="METHOD_NAME" value="findNormalFieldsEqual" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="PersonRepositoryTest.findNormalFieldsNotNull" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="unt010" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.realdolmen.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.realdolmen" />
      <option name="MAIN_CLASS_NAME" value="com.realdolmen.PersonRepositoryTest" />
      <option name="METHOD_NAME" value="findNormalFieldsNotNull" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="PersonRepositoryTest.removeNegativeID" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="unt010" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.realdolmen.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.realdolmen" />
      <option name="MAIN_CLASS_NAME" value="com.realdolmen.PersonRepositoryTest" />
      <option name="METHOD_NAME" value="removeNegativeID" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="PersonRepositoryTest.saveCorrectData" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="unt010" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.realdolmen.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.realdolmen" />
      <option name="MAIN_CLASS_NAME" value="com.realdolmen.PersonRepositoryTest" />
      <option name="METHOD_NAME" value="saveCorrectData" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.PersonRepositoryTest.saveCorrectData" />
        <item itemvalue="JUnit.PersonRepositoryTest" />
        <item itemvalue="JUnit.PersonRepositoryTest.findNormalFieldsEqual" />
        <item itemvalue="JUnit.PersonRepositoryTest.removeNegativeID" />
        <item itemvalue="JUnit.PersonRepositoryTest.findNormalFieldsNotNull" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="0b6ab4a6-8e7f-41f2-8a33-85453ecf7d81" name="Default Changelist" comment="" />
      <created>1568291295039</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1568291295039</updated>
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="PersonRepositoryTest_findNormalFieldsEqual - 2019.09.16 at 13h 00m 01s.xml">
      <configuration name="PersonRepositoryTest.findNormalFieldsEqual" configurationId="JUnit" />
    </history-entry>
    <history-entry file="PersonRepositoryTest_findNormalFieldsEqual - 2019.09.16 at 13h 01m 14s.xml">
      <configuration name="PersonRepositoryTest.findNormalFieldsEqual" configurationId="JUnit" />
    </history-entry>
    <history-entry file="PersonRepositoryTest_findNormalFieldsEqual - 2019.09.16 at 13h 01m 57s.xml">
      <configuration name="PersonRepositoryTest.findNormalFieldsEqual" configurationId="JUnit" />
    </history-entry>
    <history-entry file="PersonRepositoryTest_saveCorrectData - 2019.09.16 at 14h 46m 18s.xml">
      <configuration name="PersonRepositoryTest.saveCorrectData" configurationId="JUnit" />
    </history-entry>
    <history-entry file="PersonRepositoryTest_saveCorrectData - 2019.09.16 at 14h 49m 03s.xml">
      <configuration name="PersonRepositoryTest.saveCorrectData" configurationId="JUnit" />
    </history-entry>
    <history-entry file="PersonRepositoryTest_findNormalFieldsEqual - 2019.09.16 at 14h 52m 47s.xml">
      <configuration name="PersonRepositoryTest.findNormalFieldsEqual" configurationId="JUnit" />
    </history-entry>
    <history-entry file="PersonRepositoryTest_saveCorrectData - 2019.09.16 at 14h 54m 56s.xml">
      <configuration name="PersonRepositoryTest.saveCorrectData" configurationId="JUnit" />
    </history-entry>
    <history-entry file="PersonRepositoryTest_saveCorrectData - 2019.09.16 at 15h 15m 22s.xml">
      <configuration name="PersonRepositoryTest.saveCorrectData" configurationId="JUnit" />
    </history-entry>
    <history-entry file="PersonRepositoryTest - 2019.09.16 at 15h 25m 03s.xml">
      <configuration name="PersonRepositoryTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="PersonRepositoryTest_saveCorrectData - 2019.09.16 at 15h 26m 58s.xml">
      <configuration name="PersonRepositoryTest.saveCorrectData" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="ToolWindowManager">
    <frame x="-9" y="-9" width="1938" height="1048" extended-state="6" />
    <layout>
      <window_info id="Designer" order="0" />
      <window_info id="UI Designer" order="1" />
      <window_info id="Capture Tool" order="2" />
      <window_info id="Favorites" order="3" side_tool="true" />
      <window_info id="Image Layers" order="4" />
      <window_info content_ui="combo" id="Project" order="5" visible="true" weight="0.17274678" />
      <window_info id="Structure" order="6" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Terminal" order="0" />
      <window_info anchor="bottom" id="Event Log" order="1" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="2" />
      <window_info anchor="bottom" id="Message" order="3" />
      <window_info anchor="bottom" id="Find" order="4" />
      <window_info anchor="bottom" id="Run" order="5" weight="0.32879817" />
      <window_info anchor="bottom" id="Debug" order="6" weight="0.3997833" />
      <window_info anchor="bottom" id="Cvs" order="7" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="8" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="9" />
      <window_info anchor="bottom" id="Messages" order="10" weight="0.0430839" />
      <window_info anchor="right" id="Theme Preview" order="0" />
      <window_info anchor="right" id="Capture Analysis" order="1" />
      <window_info anchor="right" id="Palette&#9;" order="2" />
      <window_info anchor="right" id="Ant Build" order="3" weight="0.25" />
      <window_info anchor="right" id="Maven" order="4" weight="0.32995737" />
      <window_info anchor="right" id="Palette" order="5" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="6" type="SLIDING" weight="0.4" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="7" weight="0.25" />
    </layout>
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" type="java-method">
          <url>file://$PROJECT_DIR$/starter/src/test/java/com/realdolmen/PersonRepositoryTest.java</url>
          <line>34</line>
          <properties class="com.realdolmen.PersonRepositoryTest" method="setUp">
            <option name="EMULATED" value="true" />
          </properties>
          <option name="timeStamp" value="4" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
  <component name="antWorkspaceConfiguration">
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="FILTER_TARGETS" value="false" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/starter/src/main/java/com/realdolmen/Utilities.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="4" column="13" selection-start-line="4" selection-start-column="13" selection-end-line="4" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/starter/src/main/java/com/realdolmen/RepositoryException.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="34">
          <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.m2/repository/org/dbunit/dbunit/2.5.0/dbunit-2.5.0.jar!/org/dbunit/dataset/xml/FlatXmlDataSetBuilder.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="272">
          <caret line="17" column="49" selection-start-line="17" selection-start-column="49" selection-end-line="17" selection-end-column="49" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.m2/repository/org/dbunit/dbunit/2.5.0/dbunit-2.5.0.jar!/org/dbunit/operation/DatabaseOperation.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="357">
          <caret line="22" column="25" selection-start-line="22" selection-start-column="25" selection-end-line="22" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.m2/repository/org/junit/jupiter/junit-jupiter-api/5.5.2/junit-jupiter-api-5.5.2.jar!/org/junit/jupiter/api/function/Executable.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="136">
          <caret line="9" column="9" selection-start-line="9" selection-start-column="9" selection-end-line="9" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/starter/src/test/java/com/realdolmen/UtilitiesTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="6" column="13" selection-start-line="6" selection-start-column="13" selection-end-line="6" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.m2/repository/org/junit/jupiter/junit-jupiter-api/5.5.2/junit-jupiter-api-5.5.2.jar!/org/junit/jupiter/api/AssertAll.class">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="e#0#2580#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$USER_HOME$/.m2/repository/org/dbunit/dbunit/2.5.0/dbunit-2.5.0.jar!/org/dbunit/dataset/IDataSet.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="8" column="13" selection-start-line="8" selection-start-column="13" selection-end-line="8" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/starter/src/main/java/com/realdolmen/PersonRepository.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="238">
          <caret line="14" column="29" lean-forward="true" selection-start-line="14" selection-start-column="29" selection-end-line="14" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="jar://C:/Eru-VDAB2019/jdk1.8.0_201/src.zip!/java/util/Date.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="185">
          <caret line="163" column="11" selection-start-line="163" selection-start-column="11" selection-end-line="163" selection-end-column="11" />
          <folding>
            <element signature="e#6390#6391#0" expanded="true" />
            <element signature="e#6438#6439#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/starter/src/main/java/com/realdolmen/Person.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="231">
          <caret line="11" column="81" selection-start-line="11" selection-start-column="25" selection-end-line="11" selection-end-column="81" />
          <folding>
            <element signature="e#472#473#0" expanded="true" />
            <element signature="e#500#501#0" expanded="true" />
            <element signature="e#591#592#0" expanded="true" />
            <element signature="e#623#624#0" expanded="true" />
            <element signature="e#658#659#0" expanded="true" />
            <element signature="e#689#690#0" expanded="true" />
            <element signature="e#723#724#0" expanded="true" />
            <element signature="e#755#756#0" expanded="true" />
            <element signature="e#790#791#0" expanded="true" />
            <element signature="e#820#821#0" expanded="true" />
            <element signature="e#848#849#0" expanded="true" />
            <element signature="e#897#898#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/starter/src/main/java/com/realdolmen/JdbcPersonRepository.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2457">
          <caret line="120" column="3" selection-start-line="120" selection-start-column="3" selection-end-line="120" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/starter/src/main/java/com/realdolmen/Address.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="399">
          <caret line="25" selection-start-line="25" selection-end-line="25" />
          <folding>
            <element signature="e#373#374#0" expanded="true" />
            <element signature="e#402#403#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/starter/src/main/java/com/realdolmen/City.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="42">
          <caret line="2" column="13" selection-start-line="2" selection-start-column="13" selection-end-line="2" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/starter/src/test/java/com/realdolmen/mockData.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="126">
          <caret line="6" column="34" selection-start-line="6" selection-start-column="22" selection-end-line="6" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/starter/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1575">
          <caret line="75" selection-start-line="75" selection-end-line="75" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/starter/src/test/java/com/realdolmen/PersonRepositoryTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="775">
          <caret line="206" column="30" selection-start-line="206" selection-start-column="30" selection-end-line="206" selection-end-column="30" />
          <folding>
            <element signature="method#emptyTest#0;class#PersonRepositoryTest#0" />
            <element signature="method#findWrongIdTooHigh#0;class#PersonRepositoryTest#0" />
            <element signature="method#findWrongIdNegative#0;class#PersonRepositoryTest#0" />
            <element signature="method#saveNormal#0;class#PersonRepositoryTest#0" />
            <element signature="method#saveDuplicate#0;class#PersonRepositoryTest#0" />
            <element signature="method#saveWrongInfoNegativeID#0;class#PersonRepositoryTest#0" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>12</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>